Compare explicit prior state with current state
curl --request POST \
--url https://api.archal.ai/api/sessions/{sessionId}/environments/{environmentId}/state/diff \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": "<string>",
"before": "<unknown>",
"maxChanges": 500
}
'import requests
url = "https://api.archal.ai/api/sessions/{sessionId}/environments/{environmentId}/state/diff"
payload = {
"source": "<string>",
"before": "<unknown>",
"maxChanges": 500
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({source: '<string>', before: '<unknown>', maxChanges: 500})
};
fetch('https://api.archal.ai/api/sessions/{sessionId}/environments/{environmentId}/state/diff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schema": "<string>",
"version": 123,
"sessionId": "<string>",
"environmentId": "<string>",
"beforeSha256": "<string>",
"afterSha256": "<string>",
"changed": true,
"totalChanges": 4503599627370495,
"returnedChanges": 4503599627370495,
"truncated": true,
"changes": [
{
"path": "<string>",
"before": "<unknown>",
"after": "<unknown>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}API Reference
Compare explicit prior state with current state
POST
/
api
/
sessions
/
{sessionId}
/
environments
/
{environmentId}
/
state
/
diff
Compare explicit prior state with current state
Authorizations
Used by lifecycle, catalog, and state endpoints
Path Parameters
Minimum string length:
1Required string length:
1 - 80Body
application/json
Response
Successful response
Allowed value:
"archal.environment-state-diff"Minimum string length:
1Required string length:
1 - 80Pattern:
^[a-f0-9]{64}$Pattern:
^[a-f0-9]{64}$Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Show child attributes
Show child attributes
Was this page helpful?
⌘I
